---
title: 'SyntaxError: missing ) after argument list'
slug: Web/JavaScript/Reference/Errors/Missing_parenthesis_after_argument_list
tags:
  - Error
  - Errors
  - JavaScript
  - SyntaxError
---
<div>{{jsSidebar("Errors")}}</div>

<p>The JavaScript exception "missing ) after argument list" occurs when there is an error with how a function is called. This might be a typo, a missing operator, or an unescaped string.</p>

<h2 id="Message">Message</h2>

<pre class="syntaxbox">SyntaxError: Expected ')' (Edge)
SyntaxError: missing ) after argument list (Firefox)
</pre>

<h2 id="Error_type">Error type</h2>

<p>{{jsxref("SyntaxError")}}.</p>

<h2 id="What_went_wrong">What went wrong?</h2>

<p>There is an error with how a function is called. This might be a typo, a missing operator, or an unescaped string, for example.</p>

<h2 id="Examples">Examples</h2>

<p>Because there is no "+" operator to concatenate the string, JavaScript expects the argument for the <code>log</code> function to be just <code>"PI: "</code>. In that case, it should be terminated by a closing parenthesis.</p>

<pre class="brush: js example-bad">console.log('PI: ' Math.PI);
// SyntaxError: missing ) after argument list
</pre>

<p>You can correct the <code>log</code> call by adding the "<code>+</code>" operator:</p>

<pre class="brush: js example-good">console.log('PI: ' + Math.PI);
// "PI: 3.141592653589793"</pre>

<h3 id="Unterminated_strings">Unterminated strings</h3>

<pre class="brush: js example-bad">console.log('"Java" + "Script" = \"' + 'Java' + 'Script\");
// SyntaxError: missing ) after argument list</pre>

<p>Here JavaScript thinks that you meant to have <code>);</code> inside the string and ignores it, and it ends up not knowing that you meant the <code>);</code> to end the function <code>console.log</code>. To fix this, we could put  a<code>'</code> after the "Script" string:</p>

<pre class="brush: js example-good">console.log('"Java" + "Script" = \"' + 'Java' + 'Script\"');
// '"Java" + "Script" = "JavaScript"'
</pre>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/JavaScript/Guide/Functions">Functions</a></li>
</ul>
